<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'Party',
  props: {
    data: {
      type: Object,
      required: true,
    },
  },
});
</script>

<template>
  <div class="party">
    <SlpContainer>
      <SlpRow>
        <SlpColumn :cols="7" class="party__text-container">
          <nuxt-img
            style="width: 32px"
            class="slp-mt-48"
            src="/nuxt-images/icons/events/celebrate-icon_celebrate-96px.svg"
            format="webp"
            quality="99"
          />
          <SlpTypography class="slp-pb-32" variant="heading2-bold" tag="h2">{{
            data.header
          }}</SlpTypography>
          <div
            v-if="data.text"
            class="slp-pb-32 party__text"
            v-html="$md.render(data.text)"
          ></div>

          <SlpButton
            v-if="data.cta?.text"
            variant="secondary"
            :href="data.cta.externalUrl"
            :data-ga-name="data.cta.dataGaName"
            :data-ga-location="data.cta.dataGaLocation"
            >{{ data.cta.text }}</SlpButton
          >
          <SlpTypography
            v-if="data.subheader"
            class="slp-mt-64 slp-mb-16"
            variant="body2"
            tag="p"
            >{{ data.subheader }}</SlpTypography
          >
          <SlpColumn :cols="10">
            <nuxt-img
              class="slp-mr-24 slp-mb-8"
              height="25"
              src="/nuxt-images/logos/gitlab.svg"
              format="webp"
              quality="99"
            />
            <img
              v-for="sponsor in data.assets"
              :key="sponsor.alt"
              class="slp-mr-24 slp-mb-8 sponsor-logos"
              height="25"
              :src="sponsor.src"
              :alt="sponsor.alt"
            />
          </SlpColumn>
          <div></div>
        </SlpColumn>
      </SlpRow>
    </SlpContainer>
  </div>
</template>

<style lang="scss" scoped>
.party {
  background-color: #171321;
  background-image: url('/nuxt-images/events/full.svg');
  background-size: 95%;
  background-repeat: no-repeat;
  background-position: 100% 50%;
  color: #f6f3fe;
  padding: $spacing-96 $spacing-0 $spacing-32;

  &__text-container {
    background: rgba(23, 19, 33, 0.8);
    padding: $spacing-64;
  }
  &__text {
    font-size: 20px;
    font-weight: 400;
    line-height: 24px;
    :deep p {
      padding-bottom: 24px;
      &:last-of-type {
        padding-bottom: 0;
      }
    }
  }
  .sponsor-logos {
    filter: brightness(0) invert(1);
  }
}
</style>
